/*
                   Endeavour Archiver Operation Callbacks
 */

#ifndef ARCHIVER_OP_CB_H
#define ARCHIVER_OP_CB_H

#include <gtk/gtk.h>
#include "toolbar.h"
#include "edv_find_bar.h"
#include "edv_status_bar.h"
#include "archiver.h"


extern void EDVArchiverOPCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void EDVArchiverOPEnterCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void EDVArchiverOPLeaveCB(
	toolbar_item_struct *item, gint id, gpointer data
);

extern void EDVArchiverOPSyncDisks(edv_archiver_struct *archiver);
extern void EDVArchiverOPWriteProtect(edv_archiver_struct *archiver);
extern void EDVArchiverOPDeleteMethodRecycle(edv_archiver_struct *archiver);
extern void EDVArchiverOPDeleteMethodPurge(edv_archiver_struct *archiver);

extern void EDVArchiverOPClose(edv_archiver_struct *archiver);
extern void EDVArchiverOPExit(edv_archiver_struct *archiver);

extern void EDVArchiverOPAdd(edv_archiver_struct *archiver);
extern void EDVArchiverOPExtract(edv_archiver_struct *archiver);
extern void EDVArchiverOPExtractAll(edv_archiver_struct *archiver);
extern void EDVArchiverOPDelete(edv_archiver_struct *archiver);
extern void EDVArchiverOPCheck(edv_archiver_struct *archiver);
extern void EDVArchiverOPFix(edv_archiver_struct *archiver);
extern void EDVArchiverOPSelectAll(edv_archiver_struct *archiver);
extern void EDVArchiverOPUnselectAll(edv_archiver_struct *archiver);
extern void EDVArchiverOPProperties(edv_archiver_struct *archiver);

extern void EDVArchiverOPRefresh(edv_archiver_struct *archiver);
extern void EDVArchiverOPRefreshAll(edv_archiver_struct *archiver);
extern void EDVArchiverOPCommentAndStatistics(edv_archiver_struct *archiver);
extern void EDVArchiverContentsFilter(edv_archiver_struct *archiver);
extern void EDVArchiverMIMETypes(edv_archiver_struct *archiver);


#endif	/* ARCHIVER_OP_CB_H */
